function [N, l2, h1] = main_LFE_robin(n)

    % Initialize constants
    F_HANDLE = @(x,varargin) 1;
    E_HANDLE = @(x,varargin) 1;

    % Initialize mesh
    Mesh = load_Mesh(['Coord_Polygon_' num2str(n) '.dat'],...
                     ['Elem_Polygon_' num2str(n) '.dat']); 
    Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);         
    Mesh = add_Edges(Mesh);
    Loc = get_BdEdges(Mesh);
    Mesh.BdFlags = zeros(size(Mesh.Edges,1),1); 
    Mesh.BdFlags(Loc) = -1;
    Mesh = add_Edge2Elem(Mesh);

    % Assemble stiffness matrix and load vector
    A = assemMatRobin_LFE(Mesh, E_HANDLE);
    L = assemLoad_LFE(Mesh,P7O6(),F_HANDLE,0,1,2);

    % Solve the linear system
    U = A\L;

    % Plot solution
    plot_LFE(U,Mesh);colorbar;

    % Output
    N = size(Mesh.Coordinates,1);
    l2 = L2Err_LFE(Mesh, U, P7O6(),...
                   @(x,varargin)zeros(size(x,1),1));
    h1 = H1SErr_LFE(Mesh, U, P7O6(),...
                    @(x,varargin)zeros(size(x,1),2));

end
