function Aloc = STIMA_Div_LFE(Vertices,varargin)

    % Preallocate memory
    Aloc = zeros(6,6);

    % Computation of basis function divergences
    a = norm(Vertices(3,:)-Vertices(2,:)); 
    b = norm(Vertices(3,:)-Vertices(1,:));
    c = norm(Vertices(2,:)-Vertices(1,:));
    s = (a+b+c)/2;
    A = sqrt((s-a)*(s-b)*(s-c)*s);

    divs = zeros(6,1);
    divs(1) = Vertices(2,2) - Vertices(3,2);
    divs(2) = Vertices(3,2) - Vertices(1,2);
    divs(3) = Vertices(1,2) - Vertices(2,2);
    divs(4) = Vertices(3,1) - Vertices(2,1);
    divs(5) = Vertices(1,1) - Vertices(3,1);
    divs(6) = Vertices(2,1) - Vertices(1,1);
    divs = divs/(2*A);

    Aloc = A * divs * divs';

return
