Mesh = load_Mesh('Coord_Annulus.dat', 'Elem_Annulus.dat');
Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);         
Mesh = add_Edges(Mesh);
Mesh = add_Edge2Elem(Mesh);

Mesh = wire_add_BdFlags(Mesh);

A = assemMat_LFE(Mesh, @STIMA_Lapl_LFE);
L = zeros(size(Mesh.Coordinates,1),1);
loc = find(Mesh.BdFlags == -2);
for i = loc'
    coords = Mesh.Coordinates(Mesh.Edges(i,:),:);
    h = norm(coords(1,:) - coords(2,:));
    L(Mesh.Edges(i,1)) = L(Mesh.Edges(i,1)) + h/2;
    L(Mesh.Edges(i,2)) = L(Mesh.Edges(i,2)) + h/2;
end;
[U,FreeDofs] = assemDir_LFE(Mesh, -1,...
                            @(x,varargin)zeros(size(x,1),1));

g = find(Mesh.BdFlags == -2);
g = Mesh.Edges(g,:); g = g(:); g = unique(g);
r = setdiff(1:size(Mesh.Coordinates,1), g)';

A = [A(r,r) sum(A(r,g),2); sum(A(g,r),1) sum(sum(A(g,g),2),1)];
L = [L(r); sum(L(g))];
U = [U(r); sum(U(g))];

FreeDofs = wire_update_FreeDofs(FreeDofs, r);

L = L - A*U;
U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);

V = zeros(length(r)+length(g),1);
for i = 1:length(r), V(r(i)) = U(i); end;
for i = 1:length(g), V(g(i)) = U(end); end;

plot_LFE(V, Mesh); colorbar;

clear all;
